#pragma once

#define LLUA_DEBUG(str, args...) \
  (fprintf(stdout, "Lua: "str"\n", ## args))

#define LLUA_INVALID_PARAMETER() { \
  LLUA_DEBUG("[%s] Invalid parameter", __func__); \
  return 0; \
}

#define LLUA_MIN_ARGS(n) \
  if(lua_gettop(L) < n) { \
    LLUA_DEBUG("[%s] Too few arguments", __func__); \
    return 0; \
  }

